org.eclipse.jetty.websocket

## Interface WebSocketGenerator

All Known Subinterfaces:
  Extension

All Known Implementing Classes:
  AbstractExtension, DeflateFrameExtension, FragmentExtension, IdentityExtension, WebSocketGeneratorD00, WebSocketGeneratorD06, WebSocketGeneratorD08, WebSocketGeneratorRFC6455

    public interface WebSocketGenerator

WebSocketGenerator.

### Method Summary

Methods
`void` `addFrame(byte flags, byte opcode, byte[] content, int offset, int length)`
`int` `flush()`
`boolean` `isBufferEmpty()`

### Method Detail

#### flush

    int flush()
              throws IOException

Throws:
  `IOException`

#### isBufferEmpty

    boolean isBufferEmpty()

#### addFrame

    void addFrame(byte flags,
                byte opcode,
                byte[] content,
                int offset,
                int length)
                  throws IOException

Throws:
  `IOException`